{% extends "base/base.html" %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title> {% block title %} Lista Maquinas {% endblock title %} </title>
</head>
<body>
    {% block content %}
    <div class="container mt-4"> 
        <div style="text-align: center; margin: 15px;">
            <h3>Lista de Maquinas</h3>
            <hr>
            {% if request.user.is_staff %}
            <a href="{% url 'home:createmaquina' %}" class="btn btn-outline-primary form-control">Añadir nueva Máquina!</a>
            {% endif %}
        </div>
        <table class="table table-striped table-hover">
            <thead>
                <th>Código</th>
                <th>Descripción</th>
                <th>Tipo de Maquina</th>
                <th>Marca</th>
                <th>Modelo</th>
                <th></th>
            </thead>
            <tbody>
                {% for Maquina in Maquina %}
                    <tr>
                        <td>{{ Maquina.Codigo }}</td>
                        <td>{{ Maquina.Descripcion }}</td>
                        <td>{{ Maquina.Tipo_Maquina }}</td>
                        <td>{{ Maquina.Marca }}</td>
                        <td>{{ Maquina.Modelo }}</td>
                        {% if request.user.is_staff %}
                        <td><a href="{% url 'home:detailmaquina' Maquina.Codigo %}" class="btn btn-outline-info"> Detalles </a></td>
                        <td><a href="{% url 'home:Updatemaquinas' Maquina.Codigo %}" class="btn btn-outline-warning"> Actualizar</a></td>
                        <td><a href="{% url 'home:deletemaquinas' Maquina.Codigo %}" class="btn btn-outline-danger">Eliminar</a></td>
                        {% endif %}
                    </tr>
                {% endfor %}
            </tbody>
        </table>
    </div> 

    {% endblock content %}
    
    <footer class="text-center text-white" style="background-color: #0a4275;">
        <div class="container p-4 pb-0">
            <section class="">
                <p class="d-flex justify-content-center align-items-center">
                    <span class="me-3">Gestión de citas para el corazón de tu industria: Bienvenido a MachineryFix.</span>
                </p>
            </section>
        </div>
        <div class="text-center p-3" style="background-color: rgba(0, 0, 0, 0.2);">
            © 2023 Copyright:
            <a class="text-white" href="https://mdbootstrap.com/">MachineryFix.com</a>
        </div>
    </footer>
    
</body>
</html>
